
using MultiLayout;
using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace FLY.Thick.Base.UI.UiModule
{


    /// <summary>
    /// MenuProfile.xaml 的交互逻辑
    /// </summary>
    public partial class MenuAlarm : UserControl
    {
        IUnityContainer container;
        public MenuAlarm()
        {
            InitializeComponent();
        }
        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;
        }
        private void btnProfileClick(object sender, RoutedEventArgs e)
        {
            var p = this.container.Resolve<PgErrorsTable>();
            FlyLayoutManager.NavigationService.Navigate(p);
        }

    }

    public class UiModule2_MenuAlarm : IUiModule2
    {
        public string Title => "全局.报警";

        public ComponentType Type => ComponentType.Menu;

        public bool IsUnique => true;

        public FrameworkElement GetComponent(int id, IUnityContainer container)
        {
            MenuAlarm menu = new MenuAlarm();
            container.BuildUp(menu);
            return menu;
        }

        public FrameworkElement GetThumbnail()
        {
            return new System.Windows.Controls.Grid();
        }

        public void MatchParam(int[] IDs)
        {

        }
    }
}
